# class ActiveRecord::ConnectionAdapters::ConnectionPool::Reaper

Every `frequency` seconds, the reaper will call `reap` on `pool`. A reaper instantiated with a `nil` frequency will never reap the connection pool.

Configure the frequency by setting “reaping_frequency” in your database yaml file.

### Attributes

frequency[R]
pool[R]

### Public Class Methods

new(pool, frequency) click to toggle source

    # File lib/active_record/connection_adapters/abstract/connection_pool.rb, line 293
    def initialize(pool, frequency)
      @pool      = pool
      @frequency = frequency
    end

### Public Instance Methods

run() click to toggle source

    # File lib/active_record/connection_adapters/abstract/connection_pool.rb, line 298
    def run
      return unless frequency
      Thread.new(frequency, pool) { |t, p|
        loop do
          sleep t
          p.reap
        end
      }
    end